Status: In Progress Start date: 20 Jan 2016

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 1.60 hour

Description

Let some fns form GINV be callable from CoCoALib; in ptic "alex" basis.

History

#1 - 20 Jan 2016 17:59 - John Abbott

Mario has already done a quick comparison between his impl of Janet basis and that in GINV (by Gerdt and Blinkov) - GINV was much faster

(sometimes even 100 times faster).

It is not clear where a recent source of GINV can be found; we will ask Gerdt directly.

It is not clear at what level fns inside GINV can be called.  Is it usable as a library? (mem mgt???)  Perhaps remote provcedure calls have to be

effected via the human UI (create a file; make GINV run the file; get GINV answer in another file)

We hope to have a Skype meeting with Gerdt in the near future.

#2 - 20 Jan 2016 18:01 - John Abbott

We shall also need a data structure in CoCoALib to represent the alex basis (or alex-GB basis).  What should this structure contain?

Mario also suggested having "remote objects" which are kept inside a GINV session; and GIMV does almost all the computation.

#3 - 19 Feb 2016 14:27 - John Abbott

This morning we had a Skype call: John + Mario + Werner + Vladimir Gerdt.

The main outcomes are:

Daniel Robertz has already made a Maple-GINV interface, so try asking him

Vladimir is willing to translate emailed technical questions (from us to Blinkov), and to translate the replies (and send them by email)

the "old" version on the GINV website is still the current version (no alex code yet)

#4 - 31 Mar 2016 13:05 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Mario has downloaded the GINV source, but has had several problems with compilation -- he has not yet succeeded in compiling it all.
We hope to look at the code together with the aim of making minimal changes so that it will compile (without warnings).
